Neutron devstack gate fails to install keystone due to fresh testtools

Bug #1541879 reported by Ihar Hrachyshka
36
This bug affects 7 people
Affects Status Importance Assigned to Milestone
neutron
Fix Released
Critical
Ihar Hrachyshka

Bug Description

Today testtools 2.0.0 were released, and now gate fails as in:

http://logs.openstack.org/43/272643/1/check/gate-tempest-dsvm-neutron-full/85bf432/logs/devstacklog.txt.gz

2016-02-04 14:17:24.168 | Traceback (most recent call last):
2016-02-04 14:17:24.168 | File "/usr/local/bin/keystone-manage", line 4, in <module>
2016-02-04 14:17:24.169 | __import__('pkg_resources').require('keystone==2015.1.4.dev2')
2016-02-04 14:17:24.169 | File "/usr/local/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 3141, in <module>
2016-02-04 14:17:24.169 | @_call_aside
2016-02-04 14:17:24.169 | File "/usr/local/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 3127, in _call_aside
2016-02-04 14:17:24.169 | f(*args, **kwargs)
2016-02-04 14:17:24.169 | File "/usr/local/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 3154, in _initialize_master_working_set
2016-02-04 14:17:24.170 | working_set = WorkingSet._build_master()
2016-02-04 14:17:24.170 | File "/usr/local/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 642, in _build_master
2016-02-04 14:17:24.170 | return cls._build_from_requirements(__requires__)
2016-02-04 14:17:24.170 | File "/usr/local/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 655, in _build_from_requirements
2016-02-04 14:17:24.170 | dists = ws.resolve(reqs, Environment())
2016-02-04 14:17:24.170 | File "/usr/local/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 833, in resolve
2016-02-04 14:17:24.170 | raise VersionConflict(dist, req).with_context(dependent_req)
2016-02-04 14:17:24.170 | pkg_resources.ContextualVersionConflict: (fixtures 1.2.0 (/usr/local/lib/python2.7/dist-packages), Requirement.parse('fixtures>=1.3.0'), set(['testtools']))

Changed in neutron:
assignee: nobody → Ihar Hrachyshka (ihar-hrachyshka)
tags: added: gate-failure unittest
Changed in neutron:
importance: Undecided → Critical
status: New → Confirmed
Revision history for this message
Matt Dorn (madorn) wrote :

Confirmed.

Revision history for this message
Nate Johnston (nate-johnston) wrote :

I put in a patch to cap the level of testtools in test-requirements: https://review.openstack.org/#/c/276307/

Revision history for this message
Kevin Bringard (kbringard) wrote :

FYI: Also affecting the stable/liberty branch of openstack/nova

Revision history for this message
Kevin Bringard (kbringard) wrote :

Specifically:

gate-grenade-dsvm-partial-ncpu
gate-grenade-ddvm

Revision history for this message
Ken'ichi Ohmichi (oomichi) wrote :

This problem happens on Tempest gate also now.

Revision history for this message
Brant Knudson (blk-u) wrote :

I wonder why it says keystone requires fixtures. fixtures isn't in keystone's requirements.txt, and there's no reason for keystone to depend on fixtures at runtime.

Revision history for this message
Ryan Hsu (rhsu) wrote :

Also seeing this when stacking with the stable/kilo Devstack branch.

tags: added: kilo-backport-potential liberty-backport-potential
Revision history for this message
Ihar Hrachyshka (ihar-hrachyshka) wrote :

Was fixed recently.

Changed in neutron:
status: Confirmed → Fix Released
tags: removed: kilo-backport-potential liberty-backport-potential
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Duplicates of this bug

Other bug subscribers